Bug 443823 - ionice.1 doesn't to reflect idle class changes in 2.6.25
ionice.1 doesn't to reflect idle class changes in 2.6.25
Product: Fedora
Classification: Fedora
Component: util-linux-ng (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-23 11:24 EDT by Lubomir Kundrak
Modified: 2008-04-28 06:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-28 06:46:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-04-23 11:24:44 EDT
Description of problem:

$ ionice -c3 :
ioprio_set: Operation not permitted

Version-Release number of selected component (if applicable):

These don't work:


2.6.25 in Fedora works fine.

Additional info:

Actually this is documented in ionice(1) manual:

       Idle.   A  program running with idle io priority will only get disk time
when no other program has asked for disk io for a defined grace period. The
impact of
       idle io processes on normal system activity should be zero. This
scheduling class does not take a priority argument. This scheduling class  is 
not  permitted
       for an ordinary (i.e., non-root) user.

Adding Karel to Cc:, since he maintains package that contains this manual page,
and IIRC he's also upstream for it, so he should probably adjust the manual page
to reflect the fact that at least in 2.6.25 the situation is different.
Comment 1 Dave Jones 2008-04-24 07:29:57 EDT
Due to the merging of a variant of http://lwn.net/Articles/266256/ for 2.6.25
We'll pick this up soon when we rebase F8's kernel.

Comment 2 Chuck Ebbert 2008-04-25 09:07:07 EDT
Uh, not really a kernel bug.
Comment 3 Karel Zak 2008-04-28 06:46:26 EDT
The man page updated in F8, F9 and upstream git tree. Thanks!

Note You need to log in before you can comment on or make changes to this bug.